Bug 129207 - (firefoxprinting) Indic language printing from mozilla
Indic language printing from mozilla
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
RHEL4U3NAK,NdRvw,GSSApproved
: i18n
Depends On:
Blocks: Indic 182533 183143
  Show dependency treegraph
 
Reported: 2004-08-04 22:36 EDT by Jatin Nansi
Modified: 2010-10-21 22:34 EDT (History)
10 users (show)

See Also:
Fixed In Version: RHSA-2007:0979-01
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 10:46:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
an updated patch (175.39 KB, patch)
2007-07-04 04:53 EDT, Martin Stransky
no flags Details | Diff

  None (edit)
Description Jatin Nansi 2004-08-04 22:36:46 EDT
Description of problem:
Cannot print indic language pages from mozilla. We understand that
work is being done on this, this bug is for tracking this until final
release.

Version-Release number of selected component (if applicable):
1.7-0.3.2

How reproducible:
Allways

Steps to Reproduce:
1. Start mozilla
2. Open http://bbc.co.uk/hindi
3. Print the page
  
Actual results:
The text is printed as squares. 

Expected results:
Text should be printed correctly, with composite characters and ligatures.

Additional info:
Same bugs in mail, addressbook.
Comment 1 Jatin Nansi 2004-08-11 22:15:53 EDT
To test, you may use the Gargi.ttf font available in this rpm: 
http://bob.brisbane.redhat.com/~jnansi/pkgs/ttfonts-hi-1-1.noarch.rpm
Comment 6 Jens Petersen 2005-03-17 21:05:00 EST
Ping :)
Comment 7 A S Alam 2005-04-22 01:00:28 EDT
any update?
Comment 8 Lawrence Lim 2005-05-04 23:40:28 EDT
Tested with firefox-1.0.2-3, still cant print indic unfortunately.
Comment 10 Marty Wesley 2005-05-26 02:54:50 EDT
PM ACK for U2.
Comment 12 Christopher Blizzard 2005-06-15 09:34:26 EDT
I've started coding these changes but I don't think it's going to make U2.  It
will need time to bake in Fedora before it can be pushed out as a feature
update.  It's a pretty big change.
Comment 17 Ankit Patel 2006-01-03 01:02:22 EST
I have tested printing of indic (Gujarati) with latest release of mozilla
(Firefox-1.5). And fortunately it prints everything correctly except rendering
because by default pango is not enabled in the builds of mozilla. So, i think
this issue is solved.

Here is the link for download:-
http://www.mozilla.com/products/download.html?product=firefox-1.5&os=linux&lang=en-US

So, Can somebody please test it?
Comment 18 Christopher Blizzard 2006-01-03 10:00:52 EST
I'm confused.  Do you mean that the text rendering when printing in 1.5 is still
broken because they don't enable pango?  I never did the work to push pango down
into the printing code so even if pango was enabled, printing would still look
wrong.
Comment 19 Ankit Patel 2006-01-04 00:43:16 EST
(In reply to comment #18)
> I'm confused.  Do you mean that the text rendering when printing in 1.5 is still
> broken because they don't enable pango?  
yes
> I never did the work to push pango down
> into the printing code so even if pango was enabled, printing would still look
> wrong.
Ok
Comment 23 RHEL Product and Program Management 2006-08-18 13:57:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 24 Christopher Blizzard 2006-08-23 11:27:30 EDT
-> over to behdad
Comment 26 Behdad Esfahbod 2006-12-20 14:19:45 EST
-> caillon.

We have all the patches in FC6/RHEL5, I believe caillon can better choose which
bits to copy.
Comment 28 Behdad Esfahbod 2007-02-20 11:12:28 EST
(In reply to comment #27)
> This patch doesn't compile on RHEL-4, because of missing PangoRenderer class.
> 
> We need to rewrite the patch (w/o PangoRenderer) or upgrade pango in RHEL-4...

Ok then we've got to copy relevant parts of PangoRenderer too.  It's not more
than 100 or 200 lines.
Comment 30 RHEL Product and Program Management 2007-04-17 17:31:08 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 31 RHEL Product and Program Management 2007-05-09 07:31:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 32 Martin Stransky 2007-07-04 04:53:18 EDT
Created attachment 158506 [details]
an updated patch

There's an updated patch.

I had to copy whole pango-renderer.c & pango-renderer.h into firefox.

Please let me know if you are going to update pango in RHEL-4 or if you know
about any better solution.
Comment 34 Martin Stransky 2007-08-28 10:00:15 EDT
Added to CVS, package firefox-1.5.0.12-0.4.el4
Comment 36 Martin Stransky 2007-09-11 03:21:20 EDT
Will be included in the next ASYNC update.
Comment 38 A S Alam 2007-11-13 05:52:19 EST
yes, it is Fixed (rendering) for Indic in 
firefox-1.5.0.12-0.4.el4

Package
Comment 39 Martin Stransky 2007-11-14 10:46:04 EST
Fixed in RHSA-2007:0979-01

Note You need to log in before you can comment on or make changes to this bug.